public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kristian Fiskerstrand" <k_f@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/texmaker/
Date: Sun, 15 Jan 2017 18:16:06 +0000 (UTC)	[thread overview]
Message-ID: <1484504158.3e28586a33d10f103c5875b05055770126d2b40f.k_f@gentoo> (raw)

commit:     3e28586a33d10f103c5875b05055770126d2b40f
Author:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 15 18:15:43 2017 +0000
Commit:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 18:15:58 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e28586a

app-office/texmaker: Drop qt4 use flag

Given that the package requires Qt in one form or the other, using approach
of Qt5 use flag meaning Qt5, and no use flag specified to mean Qt4.

Gentoo-Bug: 598052
Thanks-To: asturm

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-office/texmaker/texmaker-4.5-r1.ebuild | 99 ++++++++++++++++++++++++++++++
 1 file changed, 99 insertions(+)

diff --git a/app-office/texmaker/texmaker-4.5-r1.ebuild b/app-office/texmaker/texmaker-4.5-r1.ebuild
new file mode 100644
index 00000000..09c7a6e
--- /dev/null
+++ b/app-office/texmaker/texmaker-4.5-r1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils qmake-utils readme.gentoo
+
+DESCRIPTION="A nice LaTeX-IDE"
+HOMEPAGE="http://www.xm1math.net/texmaker/"
+SRC_URI="http://www.xm1math.net/texmaker/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="+qt5"
+
+COMMON_DEPEND="
+	app-text/hunspell
+	sys-libs/zlib
+	x11-libs/libX11
+	x11-libs/libXext
+	!qt5? (
+		app-text/poppler:=[qt4]
+		dev-qt/qtgui:4
+		dev-qt/qtcore:4
+		dev-qt/qtscript:4
+		dev-qt/qtsingleapplication[X,qt4]
+		dev-qt/qtwebkit:4
+		)
+	qt5? (
+		app-text/poppler:=[qt5]
+		dev-qt/qtconcurrent:5
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtscript:5
+		dev-qt/qtsingleapplication[X,qt5]
+		dev-qt/qtwebkit:5[printsupport]
+		dev-qt/qtwidgets:5
+		dev-qt/qtxml:5
+		)
+"
+RDEPEND="${COMMON_DEPEND}
+	app-text/ghostscript-gpl
+	app-text/psutils
+	media-libs/netpbm
+	virtual/latex-base
+	!qt5? ( app-i18n/ibus-qt )"
+DEPEND="${COMMON_DEPEND}
+	virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-unbundle.patch
+	"${FILESDIR}"/${P}-modern-styles.patch
+	)
+
+DOCS=( utilities/AUTHORS utilities/CHANGELOG.txt )
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+	find singleapp hunspell -delete || die
+
+	epatch "${PATCHES[@]}"
+
+	cat >> ${PN}.pro <<- EOF
+	exists(texmakerx_my.pri):include(texmakerx_my.pri)
+	EOF
+
+	cp "${FILESDIR}"/texmakerx_my.pri . || die
+
+	sed \
+		-e '/^#include/s:hunspell/::g' \
+		-e '/^#include/s:singleapp/::g' \
+		-i *.cpp *.h || die
+
+	DOC_CONTENTS="A user manual with many screenshots is available at:
+	${EPREFIX}/usr/share/${PN}/usermanual_en.html"
+}
+
+src_configure() {
+	local myeqmakeargs=(
+		${PN}.pro
+		PREFIX="${EPREFIX}/usr"
+		DESKTOPDIR="${EPREFIX}/usr/share/applications"
+		ICONDIR="${EPREFIX}/usr/share/pixmaps"
+		)
+	if ! use qt5; then
+		eqmake4 ${myeqmakeargs[@]}
+	else
+		eqmake5 ${myeqmakeargs[@]}
+	fi
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+	einstalldocs
+	readme.gentoo_create_doc
+}


             reply	other threads:[~2017-01-15 18:16 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-15 18:16 Kristian Fiskerstrand [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-22 23:16 [gentoo-commits] repo/gentoo:master commit in: app-office/texmaker/ Andreas Sturmlechner
2025-01-22 23:16 Andreas Sturmlechner
2024-11-23 11:36 Andreas Sturmlechner
2023-11-12 12:20 Sam James
2023-02-07 17:25 Andreas Sturmlechner
2020-11-14 21:48 David Seifert
2020-04-03 11:00 Mikle Kolyada
2020-02-16 22:06 Andreas Sturmlechner
2019-06-26  6:50 Agostino Sarubbo
2019-06-25  7:04 Agostino Sarubbo
2019-05-18 17:39 Andreas Sturmlechner
2018-04-25  1:30 Aaron Bauman
2018-03-19 17:16 Andreas Sturmlechner
2018-03-13 12:51 Michael Palimaka
2018-02-22 10:51 Andreas Sturmlechner
2017-07-04 15:55 Kristian Fiskerstrand
2017-07-04 15:49 Agostino Sarubbo
2017-07-04 14:15 Kristian Fiskerstrand
2017-07-04 10:17 Agostino Sarubbo
2017-06-04 19:39 Kristian Fiskerstrand
2016-01-08 17:23 Kristian Fiskerstrand
2015-11-26 11:46 Justin Lecher
2015-09-25 14:29 Agostino Sarubbo
2015-09-24 13:50 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1484504158.3e28586a33d10f103c5875b05055770126d2b40f.k_f@gentoo \
    --to=k_f@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox